#!/bin/bash
#DISCLAIMER: This script is not tested to the end because the port is not available on my machine.
SKETCH_NAME="pisasweeper.ino"
BOARD_TYPE="arduino:avr:uno"  # Change this according to your board
PORT="COM4" # Change this according to your port

# Verify if the Arduino CLI is installed
if ! command -v arduino-cli &> /dev/null; then
    echo "arduino-cli nu este instalat. Te rog instalează-l înainte de a rula acest script."
    exit 1
fi

# Add the Arduino CLI index
arduino-cli core update-index
arduino-cli core install arduino:avr  # Change this according to your board
arduino-cli lib install U8g2

arduino-cli compile --fqbn $BOARD_TYPE $SKETCH_NAME
if [ $? -ne 0 ]; then
    echo "Failed to compile the sketch."
    exit 1
fi

# Upload the sketch to the microcontroller
arduino-cli upload -p $PORT --fqbn $BOARD_TYPE $SKETCH_NAME
if [ $? -ne 0 ]; then
    echo "Failed to upload the sketch."
    exit 1
fi

echo "The sketch has been successfully uploaded to the microcontroller."
